GFSPOOLPATH(1)

NAME
gfspoolpath - display a pathname on a filesystem node about a Gfarm file

SYNOPSIS

gfspoolpath [-s spool_directory] [path...]

gfspoolpath [-I] [inode_number:generation_number...]

DESCRIPTION

This command displays a pathname of a concrete file on a filesystem node, which is corresponding to a Gfarm file specified in the command argument. The pathname is relative to the top directory of a spool directory of gfsd.

OPTIONS

-I
    If this option is specified, inode_numbers and generation_numbers which are separated by colon (:) are expected as arguments.

-s spool_directory
    If this command is invoked with a privilege which can access gfsd spool directory, and if -I is not specified, the gfspoolpath command will check whether the file size of metadata and the size of the concrete file are same or not, and displays warning when they are different. This option specifies the pathname of the gfsd spool directory for the check. If this option is not specified, /var/gfarm-spool is assumed. If there isn't enough privilege, this check is simply skipped.

BUGS

No error is reported, if the command argument refers a directory.